ZBUNI(3)

SYNOPSIS
SUBROUTINE ZBUNI (ZR, ZI, FNU, KODE, N, YR, YI, NZ, NUI, NLAST, + FNUL, TOL, ELIM, ALIM)

NAME
zbuni - Subsidiary to ZBESI and ZBESK

LIBRARY
SLATEC

TYPE
ALL (CBUNI-A, ZBUNI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
ZBUNI COMPUTES THE I BESSEL FUNCTION FOR LARGE ABS(Z).GT. FNUL AND FNU+N-1.LT.FNUL. THE ORDER IS INCREASED FROM FNU+N-1 GREATER THAN FNUL BY ADDING NUI AND COMPUTING ACCORDING TO THE UNIFORM ASYMPTOTIC EXPANSION FOR I(FNU,Z) ON IFORM=1 AND THE EXPANSION FOR J(FNU,Z) ON IFORM=2

SEE ALSO
ZBESI, ZBESK

ROUTINES CALLED
D1MACH, ZABS, ZUNI1, ZUNI2

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)